package com.simaek.util;

import org.junit.jupiter.api.Test;

import java.io.File;
import java.io.IOException;

/**
 * 测试BZip2文件解压缩工具
 *
 * @author Yaser Hsueh
 */
class BZip2UtilsTest {

    @Test
    void compress() throws IOException {
        String path = "/data/HS_H08_20210728_0010_B01_FLDK_R10_S0310.DAT";
        BZip2Utils.compress(new File(path));
    }

    @Test
    void uncompress() throws IOException {
        String path = "/data/HS_H08_20210728_0010_B01_FLDK_R10_S0310.DAT.bz2";
        BZip2Utils.uncompress(new File(path));
    }
}