package com.simaek.util;

import org.junit.jupiter.api.Test;

import javax.crypto.BadPaddingException;
import javax.crypto.IllegalBlockSizeException;
import javax.crypto.NoSuchPaddingException;
import java.io.IOException;
import java.security.InvalidAlgorithmParameterException;
import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;
import java.security.spec.InvalidKeySpecException;

/**
 * @author Yaser Hsueh
 */
class EncryptUtilTest {

    @Test
    void encrypt() throws NoSuchPaddingException, IllegalBlockSizeException, NoSuchAlgorithmException, InvalidKeySpecException, IOException, BadPaddingException, InvalidKeyException {
        String password = "jlhs@2020";
        String message = "password";
        System.out.println(EncryptUtil.encrypt(message, password));;
    }

    @Test
    void decrypt() throws InvalidAlgorithmParameterException, IllegalBlockSizeException, NoSuchPaddingException, BadPaddingException, IOException, InvalidKeySpecException, NoSuchAlgorithmException, InvalidKeyException {
        String password = "jlhs@2020";
        String encrypted =  "DzANBAicaKn2c3D5oAIBCsKjPp8wXX1Ux4U/k0V0g657ShUc9L3uNA==";
        // String encrypted = "DzANBAjG4uTtrfjHwgIBClPDEU6MjlN+953giRz6WbM=";
        System.out.println(EncryptUtil.decrypt(encrypted, password));
    }
}